rte_macsec.h(3)

NAME
rte_macsec.h

SYNOPSIS

#include <rte_byteorder.h>

  Data Structures

struct rte_macsec_hdr
struct rte_macsec_sci_hdr

  Macros

#define RTE_MACSEC_TCI_VER_MASK 0x80
#define RTE_MACSEC_TCI_ES 0x40
#define RTE_MACSEC_TCI_SC 0x20
#define RTE_MACSEC_TCI_SCB 0x10
#define RTE_MACSEC_TCI_E 0x08
#define RTE_MACSEC_TCI_C 0x04
#define RTE_MACSEC_AN_MASK 0x03
#define RTE_MACSEC_SCI_LEN 8

Detailed Description

MACsec-related defines

Definition in file rte_macsec.h.

Macro Definition Documentation

  #define RTE_MACSEC_TCI_VER_MASK 0x80
Version mask for MACsec. Should be 0.

Definition at line 16 of file rte_macsec.h.

  #define RTE_MACSEC_TCI_ES 0x40
Mask for End station (ES) bit - SCI is not valid.

Definition at line 17 of file rte_macsec.h.

  #define RTE_MACSEC_TCI_SC 0x20
Mask for SCI present bit.

Definition at line 18 of file rte_macsec.h.

  #define RTE_MACSEC_TCI_SCB 0x10
Mask for EPON single copy broadcast bit.

Definition at line 19 of file rte_macsec.h.

  #define RTE_MACSEC_TCI_E 0x08
Mask for encrypted user data bit.

Definition at line 20 of file rte_macsec.h.

  #define RTE_MACSEC_TCI_C 0x04
Mask for changed user data bit (because of encryption).

Definition at line 21 of file rte_macsec.h.

  #define RTE_MACSEC_AN_MASK 0x03
Association number mask in tci_an.

Definition at line 22 of file rte_macsec.h.

  #define RTE_MACSEC_SCI_LEN 8
SCI length in MACsec header if present.

Definition at line 45 of file rte_macsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.